/////////////////////////////////////////////////
// LOGGING
/////////////////////////////////////////////////
const logger = require("../../public/js/app/logger_adhesion");

const cron = require('node-cron');
const axios = require('axios');

////////////////////////////////////////////////////
// FILE NAME
////////////////////////////////////////////////////
const path = require("path");
const filename = path.parse(__filename).base;

// URL de la page à lancer pour faire la mise à jour
const URL = "https://inscription.afpedagogiesuzuki.fr/adhesion/sync_prof_strapi";

// Fonction pour envoyer la requête POST
const maj_annuaire = async () => {
    try {
        const response = await axios.get(URL);
        logger.info("annuaire maj avec succès: " + response.status, { numsession:"maj_annuaire", label: filename});
    } catch (error) {
        logger.error("Erreur lors de la maj de l'annuaire: " + error, { numsession:"maj_annuaire", label: filename});
    }
};

// Définir la tâche cron : ici, elle s'exécute toutes les 2 minutes
// cron.schedule('*/2 * * * *', () => {
// Définir la tâche cron : ici, elle s'exécute à 4h du matin
// cron.schedule('0 4 * * *', () => {
cron.schedule('0 4 * * *', () => {
    logger.info("MAJ annuaire cron lancée (modules/adhesion/maj_annuaire_prof_site_auto.js)", { numsession:"maj_annuaire", label: filename});
    maj_annuaire();
});